%define upstream_name    Dist-Zilla-Plugin-ReadmeAnyFromPod
%define upstream_version 0.131500

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Automatically convert POD to a README in any format for Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FilePruner)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(Pod::Markdown)
BuildRequires: perl(Pod::Select)
BuildRequires: perl(Pod::Simple::HTML)
BuildRequires: perl(Pod::Text)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Generates a README for your the Dist::Zilla manpage powered dist from its
'main_module' in any of several formats. The generated README can be
included in the build or created in the root of your dist for e.g.
inclusion into version control.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.131.500-2.mga4
+ Revision: 526959
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.131.500-1.mga4
+ Revision: 439179
- update to 0.131500

* Sun Jan 13 2013 umeabot <umeabot> 0.120.120-2.mga3
+ Revision: 366376
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 25 2012 jquelin <jquelin> 0.120.120-1.mga2
+ Revision: 200862
- update to 0.120120

* Mon Jan 09 2012 jquelin <jquelin> 0.120.53-1.mga2
+ Revision: 193790
- update to 0.120053

* Thu Jan 05 2012 jquelin <jquelin> 0.120.40-1.mga2
+ Revision: 191175
- update to 0.120040

* Tue Mar 15 2011 jquelin <jquelin> 0.103.522-1.mga1
+ Revision: 71585
- imported package perl-Dist-Zilla-Plugin-ReadmeAnyFromPod


* Tue Mar 15 2011 cpan2dist 0.103522-1mga
- initial mageia release, generated with cpan2dist
